package com.geronimolive.gcal.service;


import com.geronimolive.gcal.dao.EventDAO;
import com.geronimolive.gcal.model.Event;

import java.util.List;


public class DefaultEventManager implements EventManager {
    private EventDAO dao;

    public void setEventDAO(EventDAO dao) {
        this.dao = dao;
    }

    public List getEvents() {
        return dao.getEvents();
    }

    public Event getEvent(String eventId) {
        return dao.getEvent(Long.valueOf(eventId));
    }

    public void saveEvent(Event event) {
        dao.saveEvent(event);
    }

    public void removeEvent(String eventId) {
        dao.removeEvent(Long.valueOf(eventId));
    }
}
