package com.geronimolive.gcal.ws;

import com.geronimolive.gcal.model.Event;

import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 * A web service endpoint interface for the Event calendar.
 */
public interface EventService extends Remote {
    public Event[] getEvents() throws RemoteException;
    public Event getEvent(long eventId) throws RemoteException;
    public void saveEvent(Event event) throws RemoteException;
    public void removeEvent(long eventId) throws RemoteException;
}
