<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- Template for sitemesh to decorate Geronimo Calendar pages -->        
<%@ include file="/taglibs.jsp"%>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <title><decorator:title default="Geronimo Live Calendar"/></title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <link rel="stylesheet" href="${ctx}/styles/global.css" type="text/css"/>
    <link rel="SHORTCUT ICON" href="${ctx}/images/favicon.ico"/>
    <script type="text/javascript" src="${ctx}/scripts/global.js"></script>
    <decorator:head/>
</head>
<body>
<a name="top"></a>
<div id="container">
    <div id="pageHeader">
        <h1><span>Geronimo Calendar</span></h1>
    </div>
    <div id="resources">
        <h3 class="menubar">Resources</h3>
        <ul>
            <li><a href="http://mcqueeney.com/geronimo/">Geronimo resources</a></li>
            <li><a href="http://jroller.com/page/GeronimoLive">Geronimo Live weblog</a></li>
            <li><a href="http://sourcebeat.com/TitleAction.do?id=5">Geronimo Live</a></li>
            <li><a href="http://geronimo.apache.org/">Geronimo project</a></li>
        </ul>
    </div>

    <div id="content">
    	<!-- Include Struts errors and information messages -->
        <%@ include file="/messages.jsp"%>
        <decorator:body/>
    </div>
</div>
</body>
</html>
