<%@ include file="/taglibs.jsp"%>

<title><fmt:message key="eventForm.title"/></title>

<p>
    <label for="event.directions">
</p>

<html:form 
    action="/event" focus="event.description" 
    onsubmit="return validateEventForm(this)"
>
<input type="hidden" name="method" value="save"/>
<html:hidden property="event.id"/>
<table class="detail">
<tr>
    <th><label for="event.description" class="required">* <fmt:message key="event.description"/>:</label></th>
    <td>
        <html:text property="event.description" styleId="event.description"/>
        <span class="fieldError"><html:errors property="eventForm.description"/></span>
    </td>
</tr>
<tr>
    <th><label for="event.startDateTime" class="required">* <fmt:message key="event.startDateTime"/>:</label></th>
    <td>
        <c:set var="datePattern"><fmt:message key="date.format"/></c:set>
        <input type="text" size="11" name="event.startDateTime" id="event.startDateTime"
            value="<fmt:formatDate value="${eventForm.map.event.startDateTime}" 
            pattern="${datePattern}"/>"
        /> [${datePattern}]
        <span class="fieldError"><html:errors property="eventForm.startDateTime"/></span>
    </td>
</tr>
<tr>
    <th><label for="event.endDateTime" class="required">* <fmt:message key="event.endDateTime"/>:</label></th>
    <td>
        <c:set var="datePattern"><fmt:message key="date.format"/></c:set>
        <input type="text" size="11" name="event.endDateTime" id="event.endDateTime"
            value="<fmt:formatDate value="${eventForm.map.event.endDateTime}" 
            pattern="${datePattern}"/>"
        /> [${datePattern}]
        <span class="fieldError"><html:errors property="eventForm.endDateTime"/></span>
    </td>
</tr>
<tr>
    <th>
        <label for="event.link"><fmt:message key="event.link"/>:</label>
    </th>
    <td>
        <html:text property="event.link" styleId="event.link"/>
    </td>
</tr>
<tr>
    <td></td>
    <td>
        <html:submit styleClass="button" property="save">Save</html:submit>
        <c:if test="${not empty param.id}">
            <html:submit styleClass="button" property="delete"
                onclick="this.form.method.value='delete'">Delete</html:submit>
        </c:if>
        <html:cancel styleClass="button">Cancel</html:cancel>
    </td>
</tr>
</table>
</html:form>

<html:javascript formName="eventForm" staticJavascript="false" cdata="false"/>
<script type="text/javascript" src="<c:url value="/scripts/validator.jsp"/>"/>
