<%@ include file="/taglibs.jsp"%>

<title><fmt:message key="eventList.title"/></title>

<a href="event.html?method=edit">Add event</a>

<display:table id="eventList" name="events" class="list" requestURI="" export="false">
    <display:column property="id" sort="true" href="event.html?method=edit"
        paramId="id" paramProperty="id" titleKey="event.id"/>
    <display:column property="description" sort="true" titleKey="event.description"/>
    <display:column sort="true" titleKey="event.startDateTime">
        <fmt:formatDate value="${eventList.startDateTime}" pattern="${datePattern}"/>
    </display:column>
    <display:column sort="true" titleKey="event.endDateTime">
        <fmt:formatDate value="${eventList.endDateTime}" pattern="${datePattern}"/>
    </display:column>
    <display:column property="link" sort="true" titleKey="event.link"/>
</display:table>

<script type="text/javascript">highlightTableRows("eventList");</script>
